Bug 119560 - Blank screen in Fedora with S3 ProSavage KM133
Blank screen in Fedora with S3 ProSavage KM133
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: XFree86 (Show other bugs)
1
i386 Linux
high Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-03-31 08:31 EST by Ricardo M. Ferreira
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-12 14:19:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ricardo M. Ferreira 2004-03-31 08:31:35 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.6)
Gecko/20040113

Description of problem:
1) Anaconda / XServer can't start a graphical installation of Fedora
Core 1.

   Anaconda starts, detects the S3 ProSavage KM133 integrated chip,
the monitor, mouse, starts XServer and the screen goes blank. My
Flatron F700P monitor says that the frequencies are 23.8kHz horizontal
and 38.0Hz vertical, wich won't work for this monitor (will this work
for *any* monitor at all?). The system don't crash, as I can press
Ctrl+Alt+Del and it will go back to text mode, unmount the CD and
restart the machine.

2) Can't login after installing Fedora.

   The installation went ok using the text mode interface ("linux
text"), but after that, when booting the installed Fedora from the HD,
the video frequencies are 20.5kHz horizontal and 25.0Hz vertical (even
though I set the correct range for my monitor during the
installation). I can't login even switching to text mode (using
Ctrl-Alt-F*) because there's no login prompt (just a blinking cursor
at the top left corner of the screen). The system doesn't seem to be
locked as the mouse cursor works in text mode.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. begin to install Fedora Core 1 in graphical mode

Actual Results:  I have a blank screen every time XServer starts

Expected Results:  A graphical user interface

Additional info:

The last lines of the text screen displayed with Alt-F1 are:
Mounting Local Filesystems:        [ OK ]
Enabling Local Filesystems quotas: [ OK ]
Enabling Swap Space:               [ OK ]
Comment 1 Jordan Mantha 2004-04-30 12:43:33 EDT
I also have a ProSavage KM133. I had the same problem when installing 
Fedora Core 1. I know from experience that the savage driver doesn't 
work very well (for me anyway). To get around this problem I rebooted 
into the installation CD and did "linux rescue" to get into the 
rescue mode. I then edited my XF86Config file and changed the driver 
from savage to vesa. I then rebooted and everything is fine. Hope 
this helps.
Comment 2 Ricardo M. Ferreira 2004-04-30 13:19:56 EDT
I already solved my problem by installing a decent video card... :) 
But thank you for your comment! It may help other people in the same
situation.
Comment 3 Mike A. Harris 2004-10-12 14:19:56 EDT
Since this bugzilla report was filed, there have been several major
updates to the X Window System, which may resolve this issue.  Users
who have experienced this problem are encouraged to upgrade to the
latest version of Fedora Core, which can be obtained from:

        http://fedora.redhat.com/download

If this issue turns out to still be reproduceable in the latest
version of Fedora Core, please file a bug report in the X.Org
bugzilla located at http://bugs.freedesktop.org in the "xorg"
component.

Once you've filed your bug report to X.Org, if you paste the new
bug URL here, Red Hat will continue to track the issue in the
centralized X.Org bug tracker, and will review any bug fixes that
become available for consideration in future updates.

Note You need to log in before you can comment on or make changes to this bug.